summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Ahlberg <aliz@gentoo.org>2004-09-10 18:01:18 +0000
committerDaniel Ahlberg <aliz@gentoo.org>2004-09-10 18:01:18 +0000
commita22a3663c1d609f4c926f408ca2a7f76765dfd4f (patch)
tree06a5e19451befe12f4ff5317196174de8ab3bf00 /eclass/myth.eclass
parentVersion bumped. (Manifest recommit) (diff)
downloadgentoo-2-a22a3663c1d609f4c926f408ca2a7f76765dfd4f.tar.gz
gentoo-2-a22a3663c1d609f4c926f408ca2a7f76765dfd4f.tar.bz2
gentoo-2-a22a3663c1d609f4c926f408ca2a7f76765dfd4f.zip
nls
Diffstat (limited to 'eclass/myth.eclass')
-rw-r--r--eclass/myth.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/myth.eclass b/eclass/myth.eclass
index df3921d4d355..d40b61ef8169 100644
--- a/eclass/myth.eclass
+++ b/eclass/myth.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/myth.eclass,v 1.2 2004/09/10 17:34:30 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/myth.eclass,v 1.3 2004/09/10 18:01:18 aliz Exp $
#
# Author: Daniel Ahlberg <aliz@gentoo.org>
#
@@ -11,6 +11,12 @@ INHERITED="${INHERITED} ${ECLASS}"
EXPORT_FUNCTIONS src_unpack src_compile src_install
myth_src_unpack() {
+ if [ "${PN}" == "mythfrontend" ]; then
+ local package="mythtv"
+ else
+ local package="${PN}"
+ fi
+
unpack ${A} ; cd ${S}
sed -e "s:PREFIX = .*:PREFIX = /usr:" \
@@ -18,6 +24,11 @@ myth_src_unpack() {
-e "s:QMAKE_CFLAGS_RELEASE = .*:QMAKE_CFLAGS_RELEASE = ${CFLAGS}:" \
-i 'settings.pro' || die "Initial setup failed"
+ if ! use nls ; then
+ sed -e "s:i18n::" \
+ -i ${package}.pro || die "Disable i18n failed"
+ fi
+
if use debug ; then
FEATURES="${FEATURES} nostrip"
sed -e 's:#CONFIG += debug:CONFIG += debug:' \